body {
  padding-top: 1em;
  background-color: #eee;
}

a.navbar-logo {
  float: left;
  color: #000;
  text-decoration: none;
}

[dir="rtl"] .navbar-logo { float: right; }

.navbar-logo > svg {
  margin: 0 0.5em 0 0;
  vertical-align: middle;
}

[dir="rtl"] .navbar-logo > svg { margin: 0 0 0 1em; }

.navbar-logo > span {
  vertical-align: middle;
  line-height: 2.91em;
  font-size: 1.375em;
  word-spacing: -2px;
}

.navbar-logo strong { font-weight: 700; }

.scroll-to-donate {
  float: right;
  margin-top: 0.5em;
  padding: 0.6em 1.1em;
  background-color: #edf9ff;
  color: #0797e1;
  font-weight: 700;
  border: 1px solid #0797e1;
  border-radius: 4px;
}

.no-js .scroll-to-donate { display: none; }

[dir="rtl"] .scroll-to-donate { float: left; }

@media(min-width: 992px) {
  .scroll-to-donate { display: none; }
}

.icon {
  display: block;
  margin-top: 2em;
  margin-bottom: 1em;
  background-repeat: no-repeat;
  user-select: none;
}

.icon.contribute-icon { margin-top: 0; }

.success .icon { margin-bottom: -1em; }

@media (min-width: 768px) {
  .column.in-control,
  .column.fair-use { width: 50%; }

  [lang="fr"] h1 { font-size: 34px; }
}

@media (min-width: 992px) {
  .column.in-control,
  .column.fair-use { width: 33.333333%; }
}

.donate {
  padding: 1em;
  background-color: #fff;
}

.no-js .donate { display: none; }

@media(min-width: 992px) {
  .donate {
    margin: 1em 0;
    border-radius: 6px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.05);
  }
}

@media(min-width: 992px) {
  .donate-to-abp {
    margin-top: 2em;
    width: 27%;
  }
}

@media(max-width: 991px) {
  .donate-to-abp,
  .donation-form {
    padding: 0;
  }
}

@media(min-width: 576px) {
  .column.donation-form { padding-right: 0; }

  [dir="rtl"] .column.donation-form {
    padding-right: inherit;
    padding-left: 0;
  }
}

@media(min-width: 992px) {
  .column.donation-form { width: 73%; }
}

@media(min-width: 576px) {
  .content .payment-divide {
    margin-left: 0.75rem;
    margin-right: 0.75rem;
  }
}

@media(min-width: 585px) {
  .content .payment-divide {
    margin-left: 1rem;
    margin-right: 1rem;
  }
}

@media(min-width: 615px) {
  .content .payment-divide {
    margin-left: 2rem;
    margin-right: 2rem;
  }
}

@media(min-width: 650px) {
  .content .payment-divide {
    margin-left: 3rem;
    margin-right: 3rem;
  }
}

@media(min-width: 992px) {
  .donate-divide {
    position: absolute;
    right: 0;
    top: 1.5em;
    width: 2px;
    min-height: 12em;
    height: 80%;
    background-color: #eee;
  }

  [dir="rtl"] .donate-divide {
    right: auto;
    left: 0;
  }
}

.donation-form { margin-top: 2em; }

.refund { font-size: 0.85em; }

.bold { font-weight: 700; }

.hidden { display: none; }

h2.donation-heading { font-size: 1.2em; }

.mt3 { margin-top: 3rem; }

.content h2.bg-black {
  display: inline;
  font-size: 1.25em;
  color: #fff;
  background-color: #000;
}

@media(min-width: 992px) {
  .content .bg-black { line-height: 0.75em; }
}

.break::before {
  content: "\a";
  white-space: pre;
}

.content a { color: #1565c0; }

.content a:active,
.content a:hover,
.content a:visited { color: #0797e1; }

.abb {
  position: relative;
  height: 36em;
  background-image: url(/img/adblock-browser-phone.gif);
  background-repeat: no-repeat;
  background-position: right -13em top 19em;
  background-size: 512px;
}

/* used for IE/Edge/Edge-chromium UAs */
.hide-abb-section .abb { display: none; }

.hide-abb-section .footer { margin-top: 5em; }

@media(min-width: 375px) {
  .abb {
    height: 36em;
    background-position: right -10em top 18em;
  }
}

@media(min-width: 544px) {
  .abb { background-size: auto; }
}

@media (min-width: 768px) {
  .abb {
    height: 24em;
    background-position: right -12em top 6em;
  }

  [dir="rtl"] .abb { background-position: right 4em top 12em; }
}

@media(min-width: 992px) {
  .abb {
    margin-top: 2em;
    background-color: #fff;
    background-position: right -10em top 3em;
  }

  [dir="rtl"] .abb { background-position: right 16em top 9em; }
}

@media(min-width: 1200px) {
  .abb { background-position: 100% 7.5em; }

  [dir="rtl"] .abb { background-position: 25% 9em; }
}

@media(min-width: 1366px) {
  .abb { background-position: 85% 7.5em; }

  [dir="rtl"] .abb { background-position: 33% 9em; }
}

@media(min-width: 1900px) {
  .abb { background-position: 75% 8em; }
}

@media(min-width: 992px) {
  .abb .one-half { padding-right: 4em; }

  [dir="rtl"] .abb .one-half {
    padding-right: 0;
    padding-left: 4em;
  }
}

@media(min-width: 992px) {
  .abb-app { margin-top: 4em; }
}

.footer {
  position: relative;
  padding: 1.5em 0;
  background-color: #000;
  color: #fff;
}

.share-icon {
  margin: 0 0.5em;
  vertical-align: middle;
}

.footer-content {
  display: inline-block;
  padding-top: 1em;
  font-size: 0.85em;
}

.footer-content a,
.footer-content a:visited {
  color: #fff;
  font-weight: 700;
  text-decoration: none;
}

@media(min-width: 992px) {
  .wedge {
    display: block;
    position: absolute;
    top: -36px;
    width: 100%;
    height: 2em;
  }

  [dir="rtl"] .wedge {
    top: -72px;
    height: 4em;
  }
}

@media(min-width: 1200px) {
  .wedge {
    top: -72px;
    height: 4em;
  }
}

.donation-heading
{
  display: inline;
  font-size: 20px;
}

/* Show/hide donation heading text based on currencies loaded */
.payment-currencies,
.donation-heading .single-currency,
.donation-heading .multi-currency { display: none; }

.has-single-currency .donation-heading .single-currency { display: block; }

.has-multi-currency .payment-currencies,
.has-multi-currency .donation-heading .multi-currency { display: inline; }

.payment-currencies
{
  padding: 0;
  line-height: 1;
}

@media (min-width: 576px)
{
  .payment-types { display: flex; }
}

.payment-type legend { margin: 1rem 0 0.5rem 0; }

.payment-type input[type=radio] { margin-top: 3px; }

[dir="ltr"] .payment-type input[type=radio] { margin-right: 0.1rem; }

[dir="rtl"] .payment-type input[type=radio] { margin-left: 0.1rem; }

.subscription-payment-type { display: none; }

.has-subscriptions .subscription-payment-type { display: block; }

/* Negating first and last padding below */
.payment-amounts { margin: 0 -0.5rem; }

.payment-amount,
.custom-payment-amount
{
  display: inline-block;
  margin: 0.1rem 0.5rem;
}

.custom-payment-amount { position: relative; }

.payment-divide
{
  display: none;
  border-color: rgba(232, 232, 232, 0.667);
  margin: 1rem 0;
}

@media (min-width: 576px)
{
  .payment-divide
  {
    height: 60px;
    width: 2px;
    margin: 1.5rem 3rem 0 3rem;
    padding: 0;
  }
}

.has-subscriptions .payment-divide { display: block; }

.custom-payment-amount input[type="text"]
{
  padding: 0;
  line-height: 1;
}

.minimum-amount-warning { display: none; }

.minimum-donation-error .minimum-donation-warning { display: block; }

.minimum-subscription-error .minimum-subscription-warning { display: block; }

.payment-providers { margin-top: 1.5rem; }

.payment-providers-lead
{
  display: block;
  color: green;
  font-size: 24px;
  font-weight: bold;
}

@media (min-width: 576px)
{
  .payment-providers { display: flex; }

  [dir="ltr"] .payment-providers-lead { margin-right: 1rem; }

  [dir="rtl"] .payment-providers-lead { margin-left: 1rem; }
}

.payment-providers button
{
  display: block;
  width: 100%;
  min-height: 34px;
  margin-top: 1rem;
  line-height: 32px;
  text-align: center;
  border: 0;
  border-radius: 3.5px;
  box-shadow: 0 0.5px 1px 0 rgba(0,0,0,0.2);
  outline: none;
  user-select: none;
}

.payment-providers button[disabled] { background-color: #bcbcbc; }

@media (min-width: 576px)
{
  .payment-providers button
  {
    display: inline-block;
    min-width: 150px;
    width: auto;
    margin-top: 0;
  }

  [dir="ltr"] .payment-providers button { margin-right: 1rem; }

  [dir="rtl"] .payment-providers button { margin-left: 1rem; }
}

.stripe-button
{
  display: inline-block;
  color: #fff;
  background-color: #2888F9;
  overflow: hidden;
}

.stripe-button-lock,
.stripe-button-text
{
  vertical-align: middle;
}

.stripe-button-lock
{
  height: 16px;
  padding-right: 0.2em;
}

[dir="rtl"] .stripe-button-lock
{
  padding-right: 0;
  padding-left: 0.2em;
}

.paypal-button
{
  color: #000;
  background-color: rgb(255, 187, 3);
}

.privacy-footer
{
  text-align: center;
  margin: 1em 0;
}

/* css-loaders
 * @link https://github.com/lukehaas/css-loaders
 * @copyright Copyright (c) 2014 Luke Haas
 * @license MIT
 */
.loader {
  font-size: 10px;
  margin: 0 auto;
  text-indent: -9999em;
  width: 2em;
  height: 2em;
  border-radius: 50%;
  background: #ffffff;
  background: -moz-linear-gradient(left, #ffffff 10%, rgba(255, 255, 255, 0) 42%);
  background: -webkit-linear-gradient(left, #ffffff 10%, rgba(255, 255, 255, 0) 42%);
  background: -o-linear-gradient(left, #ffffff 10%, rgba(255, 255, 255, 0) 42%);
  background: -ms-linear-gradient(left, #ffffff 10%, rgba(255, 255, 255, 0) 42%);
  background: linear-gradient(to right, #ffffff 10%, rgba(255, 255, 255, 0) 42%);
  position: relative;
  -webkit-animation: load3 1.4s infinite linear;
  animation: load3 1.4s infinite linear;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
}

.loader::before {
  width: 50%;
  height: 50%;
  background: #ffffff;
  border-radius: 100% 0 0 0;
  position: absolute;
  top: 0;
  left: 0;
  content: '';
}

.loader::after {
  background: #2888F9;
  width: 75%;
  height: 75%;
  border-radius: 50%;
  content: '';
  margin: auto;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}

@-webkit-keyframes load3 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes load3 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

/****** adapted from https://github.com/stripe-samples/payment-form-modal *****/

.modal {
  all: initial;
  box-sizing: border-box;
  position: fixed;
  font-family: -apple-system, BlinkMacSystemFont, system-ui, sans-serif;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  opacity: 0;
  visibility: hidden;
  transform: scale(1.1);
  transition: visibility 0s linear 0.25s, opacity 0.25s 0s, transform 0.25s;
  z-index: 100001 !important;
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none;
}

.modal-content {
  margin: 5em auto;
  border-radius: 10px;
  background-color: transparent;
  overflow: hidden;
  width: 340px;
  border-radius: 0.5rem;
}

@media screen and (max-width: 600px) {
  .modal-content {
    height: 100vh;
    width: 100%;
    border-radius: 0;
  }

  .top {
    padding-top: 4em;
  }

  .close {
    padding-top: 1em
  }
}

.top {
  display: flex;
  justify-content: flex-end;
  position: relative;
}

.close {
  background: none;
  border: none;
  padding: 0;
  padding-top: 1em;
  font: inherit;
  outline: inherit;
  color:  #fff;
  cursor: pointer;
  position: absolute;
  top: 0;
  right: 0;
  border: none;
}

.show-modal {
  opacity: 1;
  visibility: visible;
  transform: scale(1);
  transition: visibility 0s linear 0s, opacity 0.25s 0s, transform 0.25s;
}

.details {
  margin-bottom: 2px;
}

.price {
  font-size: 36px;
  font-weight: 600;
}

.top-banner {
  background-color: black;
  text-align: center;
  background-color: #e8e9eb;
  padding: 1em;
  padding-top: 0;
}

.product {
  color: #000;
  font-size: 17px;
  font-weight: 700;
}

.company {
  color:  #fff;
  font-size: 18px;
  font-weight: bold;
  margin: auto;
  margin-bottom: 32px;
}

.footer-text {
  color: rgba(0, 0, 0, 0.4);
  font-size: 12px;
  font-weight: normal;
  text-align: center;
  line-height: 16px;
}

.error-message {
  margin-top: 5px;
  color: rgb(220, 39, 39);
  font-size: 13px;
  line-height: 17px;
}

.pay-button-wrapper {
  font-family: -apple-system, BlinkMacSystemFont, system-ui, sans-serif;
  margin: 25px;
  width: 350px;
  height: 40px;
}

.pay-button {
    margin-top: 0.5em;
    margin-bottom: 1em;
    width: 100%;
    position: relative;
    border-radius: 4px;
    background-color: #3ea8e5;
    background-image: linear-gradient(-180deg,#44b1e8,#3098de);
    box-shadow: 0 1px 0 0 rgba(46,86,153,.15), inset 0 1px 0 0 rgba(46,86,153,.1), inset 0 -1px 0 0 rgba(46,86,153,.4);
    font-size: 17px;
    line-height: 21px;
    height: 37px;
    font-weight: 700;
    text-shadow: 0 -1px 0 rgba(0,0,0,.12);
    color: #fff;
    cursor: pointer;
    transition: all .2s ease-in-out;
    border: 0;
}

.pay-button:focus {
  outline: none;
  box-shadow: 0 0 0 1px rgba(50, 151, 211, 0.3), 0 1px 1px 0 rgba(0, 0, 0, 0.07), 0 0 0 4px rgba(50, 151, 211, 0.3);
}

.pay-button:active {
  background-image: linear-gradient(180deg,#328ac3,#277bbe);
}

/* Form */

.payment-form {
  margin-bottom: 0;
}

.label {
  color: rgba(0, 0, 0, 0.6);
  font-size: 14px;
  font-weight: 500;
}

.forms {
  padding: 10px;
  background-color: #f5f5f7;
}

.form-label {
  font-size: 13px;
  margin-bottom: 4px;
  display: block;
  color: rgba(0, 0, 0, 0.6);
}

.StripeElement {
  box-sizing: border-box;
  height: 40px;
  padding: 10px 10px;
  border: 1px solid transparent;
  border-radius: 5px 5px 5px 5px;
  background-color: white;
  box-shadow: 0 0 0 1px rgb(224, 224, 224), 0 2px 4px 0 rgba(0, 0, 0, 0.07), 0 1px 1.5px 0 rgba(0, 0, 0, 0.05);
  -webkit-transition: box-shadow 150ms ease;
  transition: box-shadow 150ms ease;
}

.StripeElement--focus {
  box-shadow: 0 1px 3px 0 rgb(207, 215, 223);
}

.StripeElement--invalid {
  border-color: rgb(239, 152, 150);
}

.StripeElement--webkit-autofill {
  background-color: rgb(254, 253, 229)!important;
}

.subtitle {
  font-size: 13px;
  font-weight: 500;
  color: #5b5b65;
  text-shadow: 0 1px 0 #fff;
  padding-bottom: 6px;
}

.email-label {
  display: block;
  margin-bottom: 1em;
}

.email {
  margin-top: -4px;
  font-family: -apple-system, BlinkMacSystemFont, system-ui, sans-serif;
  font-size: 16px;
  font-weight: 400;
  font-smoothing: antialiased;
  color: #32325d;
  border: none;
}

.email:focus { outline: none; }

.email::placeholder { color: #aab7c4; }

.pbs {
  position: absolute;
  left: 1em;
  bottom: 1em;
}

@media screen and (max-width: 544px) {
  .pbs {
    display: none;
  }
}

@keyframes Shake {
	0% {
		transform: translateX(0);
	}
	12.5% {
		transform: translateX(-6px) rotateY(-5deg);
	}
	37.5% {
		transform: translateX(5px) rotateY(4deg);
	}
	62.5% {
		transform: translateX(-3px) rotateY(-2deg);
	}
	87.5% {
		transform: translateX(2px) rotateY(1deg);
	}
	to {
		transform: translateX(0);
	}
}

.shake {
	animation-duration: .4s;
	animation-timing-function: ease-in-out;
	animation-name: Shake;
}
